> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the previous version of the blog post

> Get a specific revision of a blog post. Version id is the id of the version from the list previous versions endpoint.

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['content']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v2/blog-posts-v2.json GET /content/api/v2/blog-posts/{blog_post_id}/versions/{version_id}
openapi: 3.0.1
info:
  title: Blog Posts API - V2
  version: v2
  description: >-
    Use the blog posts API to create, manage, and publish blog posts on your
    website.
  x-hubspot-api-use-case: Retrieve all blog posts created this year as a part of a content audit.
servers:
  - url: https://api.hubapi.com
security: []
tags:
  - name: Blog Posts
paths:
  /content/api/v2/blog-posts/{blog_post_id}/versions/{version_id}:
    get:
      tags:
        - Blog Posts
      summary: Get the previous version of the blog post
      description: >-
        Get a specific revision of a blog post. Version id is the id of the
        version from the list previous versions endpoint.
      operationId: get-content-api-v2-blog-posts-blog_post_id-versions-version_id
      parameters:
        - name: blog_post_id
          in: path
          required: true
          description: Unique identifier for a particular blog post
          schema:
            type: integer
            format: int64
        - name: version_id
          in: path
          required: true
          description: Version ID of the blog post revision
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: Blog post version details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BlogPost'
      security:
        - hapikey: []
        - oauth2:
            - content
components:
  schemas:
    BlogPost:
      type: object
      properties:
        id:
          type: integer
          format: int64
        portal_id:
          type: integer
          format: int64
        name:
          type: string
          description: The internal name of the blog post
        html_title:
          type: string
        slug:
          type: string
          description: The path of the URL on which the post will live
        content_group_id:
          type: integer
          format: int64
          description: The id of the blog that this post belongs to
        blog_author_id:
          type: integer
          format: int64
          description: The integer id of the blog author
        post_body:
          type: string
          description: The HTML of the main post body
        post_summary:
          type: string
          description: >-
            The summary of the blog post that will appear on the main listing
            page
        meta_description:
          type: string
          description: A description that goes in meta tag on the page
        featured_image:
          type: string
          description: The URL of the featured image
        head_html:
          type: string
          description: >-
            Custom HTML for embed codes, javascript, etc. that goes in the head
            tag
        footer_html:
          type: string
          description: >-
            Custom HTML for embed codes, javascript that should be placed before
            the body tag
        campaign:
          type: string
          description: The guid of the marketing campaign this post is associated with
        campaign_name:
          type: string
          description: The name of the marketing campaign this post is associated with
        state:
          type: string
          enum:
            - DRAFT
            - PUBLISHED
            - SCHEDULED
          description: The current state of the blog post
        publish_date:
          type: integer
          format: int64
          description: >-
            The date the blog post is to be published at in milliseconds since
            the unix epoch
        publish_immediately:
          type: boolean
          description: >-
            Set this to true if you want to be published immediately when the
            schedule publish endpoint is called
        created:
          type: integer
          format: int64
          description: When the post was first created, in milliseconds since the epoch
        updated:
          type: integer
          format: int64
          description: When the post was last updated, in milliseconds since the epoch
        archived_at:
          type: integer
          format: int64
          description: When the post was deleted, in milliseconds since the epoch
        is_draft:
          type: boolean
          description: True if the post is still a draft, invisible to the public
        url:
          type: string
          description: The full URL with domain and scheme to the blog post
        published_url:
          type: string
          description: The published URL of the blog post
        topic_ids:
          type: array
          items:
            type: integer
            format: int64
          description: A json list of topic ids from the topics API
        keywords:
          type: array
          items:
            type: object
          description: A JSON list of keywords and their GUIDs
        use_featured_image:
          type: boolean
          description: Controls whether or not the blog post should use the featured image
        widgets:
          type: object
          description: >-
            A data structure containing the data for all the modules for this
            post

````